Skip to main content
GET
/
agents
/
{agentId}
/
context
/
entry
JavaScript
import Cerca from '@cerca-dev/sdk';

const client = new Cerca({
  apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});

const entry = await client.context.retrieve('agent_abc123', { key: 'notes/project.md' });

console.log(entry.content);
{
  "content": "<string>",
  "key": "<string>",
  "updatedAt": "<string>",
  "version": 123,
  "mimeType": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cerca.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agentId
string
required
Minimum string length: 1
Example:

"agent_abc123"

Query Parameters

key
string
required

Context entry key.

Example:

"notes/project.md"

Response

Context entry.

content
string
required
key
string
required
updatedAt
string
required
version
number
required
mimeType
string